# Uses of Interface
org.springframework.http.server.reactive.observation.ServerRequestObservationConvention

Packages that use ServerRequestObservationConvention
Package
Description
org.springframework.http.server.reactive.observation
Instrumentation for `observing` reactive HTTP server applications.
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.

## Uses of ServerRequestObservationConvention in org.springframework.http.server.reactive.observation

Classes in org.springframework.http.server.reactive.observation that implement ServerRequestObservationConvention
Modifier and Type
Class
Description
`class`
`DefaultServerRequestObservationConvention`
Default `ServerRequestObservationConvention`.

## Uses of ServerRequestObservationConvention in org.springframework.web.filter.reactive

Constructors in org.springframework.web.filter.reactive with parameters of type ServerRequestObservationConvention
Modifier
Constructor
Description
``
`ServerHttpObservationFilter(io.micrometer.observation.ObservationRegistry observationRegistry, ServerRequestObservationConvention observationConvention)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create an `HttpRequestsObservationWebFilter` that records observations against the given `ObservationRegistry` with a custom convention.

## Uses of ServerRequestObservationConvention in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter that return ServerRequestObservationConvention
Modifier and Type
Method
Description
`ServerRequestObservationConvention`
HttpWebHandlerAdapter.`getObservationConvention()`
Return the Observation convention configured for server exchanges observations.
Methods in org.springframework.web.server.adapter with parameters of type ServerRequestObservationConvention
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`observationConvention(ServerRequestObservationConvention observationConvention)`
Configure a `ServerRequestObservationConvention` to use for server observations.
`void`
HttpWebHandlerAdapter.`setObservationConvention(ServerRequestObservationConvention observationConvention)`
Configure a `ServerRequestObservationConvention` for server exchanges observations.